#include <iostream>
#include <bits/stdc++.h>
using namespace std;
/* run this program using the console pauser or add your own getch, system("pause") or input loop */

int novcanica(long long int broj)
{
	
	int k=broj%10;
	int novcanica=0;
	if(k>=5) 
	{
		novcanica=novcanica+1;
		k=k-5;
	}
	if(k>=2)
	{
		novcanica=novcanica+1;
		k=k-2;
	}
	if(k>=2)
	{
		novcanica=novcanica+1;
		k=k-2;
		
	}
	if(k>=1) novcanica=novcanica+1;
	return novcanica;
}

int main(int argc, char** argv) {
	/*long long int broj;
	scanf("%lld" , &broj);
	int brojac=0;
	while(broj>0)
	{
		brojac=brojac+novcanica(broj);
		broj=broj/10;
	}
	printf("%d" , brojac);*/
	int a,n;
	scanf("%d",&n);
	scanf("%d", &a);
	bool paran=false;
	if(n%2==0) paran=true;
	if(n<3*a)
	{
		printf("-1");
	}
	else 
	{
		if(n<4*a)
		{
			if (paran) 
			{
				printf("0 %d\n0 %d\n%d %d",a,a,n-3*a,a);
			}
			else
			{
				printf("1 %d\n0 %d\n%d %d",a,a,n-1-3*a,a);
			}
		}
		else
		{
			if(paran)
			{
				printf("0 %d\n0 %d\n%d %d" , a,a,(n-2*a+2)/2-2,(n-2*a+2)/2);
			}
			else
			{
				printf("1 %d\n0 %d\n%d %d" ,a,a,(n-2*a+1)/2 -2, (n-2*a+1)/2);
			}
		}
	}
	return 0;
}